Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/pom.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/pom.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/pom.xml	(revision 342)
@@ -0,0 +1,84 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>org.gvsig.desktop</artifactId>
+		<version>2.0.206</version>
+	</parent>
+	<groupId>org.gvsig</groupId>
+	<artifactId>org.gvsig.attributeeditor</artifactId>
+	<version>1.0.62</version>
+	<packaging>pom</packaging>
+	<name>org.gvsig.attributeeditor</name>
+	<description>This plugins allows to edit the alphanumeric attributes of a layer.</description>
+
+	<repositories>
+		<repository>
+			<id>gvsig-public-http-repository</id>
+			<name>gvSIG maven public HTTP repository</name>
+			<url>http://devel.gvsig.org/m2repo/j2se</url>
+			<releases>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</releases>
+			<snapshots>
+				<enabled>true</enabled>
+				<updatePolicy>daily</updatePolicy>
+				<checksumPolicy>warn</checksumPolicy>
+			</snapshots>
+		</repository>
+	</repositories>
+
+	<scm>
+		<connection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62</connection>
+		<developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-attributeeditor/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62</developerConnection>
+		<url>https://devel.gvsig.org/redmine/projects/gvsig-attributeeditor/repository/show/org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62</url>
+	</scm>
+
+
+	<dependencyManagement>
+		<dependencies>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>
+    				org.gvsig.attributeeditor.app.mainplugin
+    			</artifactId>
+				<version>1.0.62</version>
+			</dependency>
+			<dependency>
+				<groupId>org.gvsig</groupId>
+				<artifactId>
+    				org.gvsig.attributeeditor.mapcontrol
+    			</artifactId>
+				<version>1.0.62</version>
+			</dependency>
+		</dependencies>
+	</dependencyManagement>
+
+	<build>
+		<plugins>
+			<plugin>
+				<groupId>org.apache.maven.plugins</groupId>
+				<artifactId>maven-release-plugin</artifactId>
+				<configuration>
+					<tagBase>https://devel.gvsig.org/svn/gvsig-attributeeditor/${project.artifactId}/tags</tagBase>
+					<goal>deploy</goal>
+				</configuration>
+			</plugin>
+		</plugins>
+	</build>
+
+	<modules>
+<!-- 		<module>org.gvsig.featureform.swing</module> -->
+		<module>org.gvsig.attributeeditor.mapcontrol</module>
+		<module>org.gvsig.attributeeditor.app</module>
+	</modules>
+
+	<dependencies>
+	  <dependency>
+	    <groupId>org.gvsig</groupId>
+	    <artifactId>org.gvsig.fmap.dal.swing.api</artifactId>
+	  </dependency>
+	</dependencies>
+</project>
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorBehavior.java
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorBehavior.java	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorBehavior.java	(revision 342)
@@ -0,0 +1,61 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.fmap.mapcontrol.tools.Listeners;
+
+import java.awt.Image;
+
+import org.gvsig.fmap.mapcontrol.MapControl;
+import org.gvsig.fmap.mapcontrol.tools.CompoundBehavior;
+import org.gvsig.fmap.mapcontrol.tools.Behavior.Behavior;
+import org.gvsig.fmap.mapcontrol.tools.Behavior.PointBehavior;
+
+
+/**
+ * @author fdiaz
+ *
+ */
+public class AttributeEditorBehavior extends CompoundBehavior {
+
+    AttributeEditorPointListener attributeEditorPointListener;
+
+    /**
+     * @param behaviors
+     */
+    public AttributeEditorBehavior(MapControl mapControl) {
+        super(new Behavior[0]);
+        this.attributeEditorPointListener =
+            new AttributeEditorPointListener(mapControl);
+
+        this.addMapBehavior(new PointBehavior(attributeEditorPointListener), true);
+
+    }
+
+    public Image getImageCursor() {
+        return this.attributeEditorPointListener.getImageCursor();
+    }
+
+    public ToolListener getListener(){
+        return this.attributeEditorPointListener;
+    }
+
+}
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorPointListener.java
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorPointListener.java	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/src/main/java/org/gvsig/fmap/mapcontrol/tools/Listeners/AttributeEditorPointListener.java	(revision 342)
@@ -0,0 +1,233 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+
+package org.gvsig.fmap.mapcontrol.tools.Listeners;
+
+import java.awt.Dimension;
+import java.awt.event.ComponentEvent;
+import java.awt.event.ComponentListener;
+import java.awt.event.InputEvent;
+import java.awt.event.MouseEvent;
+
+import javax.swing.JOptionPane;
+import javax.swing.SwingUtilities;
+
+import org.cresques.cts.IProjection;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.featureform.swing.CreateJFeatureFormException;
+import org.gvsig.featureform.swing.JFeatureForm;
+import org.gvsig.featureform.swing.JFeaturesForm;
+import org.gvsig.fmap.dal.exception.DataException;
+import org.gvsig.fmap.dal.feature.FeatureQuery;
+import org.gvsig.fmap.dal.feature.FeatureSelection;
+import org.gvsig.fmap.dal.feature.FeatureSet;
+import org.gvsig.fmap.dal.feature.FeatureStore;
+import org.gvsig.fmap.dal.feature.FeatureType;
+import org.gvsig.fmap.dal.swing.DALSwingLocator;
+import org.gvsig.fmap.dal.swing.DataSwingManager;
+import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.fmap.geom.Geometry.SUBTYPES;
+import org.gvsig.fmap.geom.Geometry.TYPES;
+import org.gvsig.fmap.geom.GeometryLocator;
+import org.gvsig.fmap.geom.GeometryManager;
+import org.gvsig.fmap.geom.exception.CreateGeometryException;
+import org.gvsig.fmap.geom.primitive.Circle;
+import org.gvsig.fmap.geom.primitive.Point;
+import org.gvsig.fmap.mapcontext.ViewPort;
+import org.gvsig.fmap.mapcontext.layers.FLayer;
+import org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect;
+import org.gvsig.fmap.mapcontext.layers.vectorial.IntersectsGeometryEvaluator;
+import org.gvsig.fmap.mapcontrol.MapControl;
+import org.gvsig.fmap.mapcontrol.tools.BehaviorException;
+import org.gvsig.fmap.mapcontrol.tools.Events.PointEvent;
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.i18n.I18nManager;
+import org.gvsig.tools.service.ServiceException;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager.MODE;
+
+/**
+ * @author fdiaz
+ *
+ */
+public class AttributeEditorPointListener extends AbstractPointListener implements ComponentListener {
+
+    private static Logger logger = LoggerFactory.getLogger(AttributeEditorPointListener.class);
+
+    public static final String ATTRIBUTE_EDITOR_TOOL_NAME = "attributeEditorTool";
+    private static final String ATTRIBUTE_EDITOR_FORM_NAME = "attributeEditorForm";
+    private MapControl mapControl;
+    private JFeaturesForm form;
+    private FLyrVect currentLayer = null;
+    /**
+     * Radius as tolerance around the selected point, the area will be used to
+     * look for information.
+     */
+    private static int TOL = 7;
+
+    public AttributeEditorPointListener(MapControl mapControl, JFeaturesForm form) {
+        super();
+        this.mapControl = mapControl;
+        this.form = form;
+    }
+
+    public AttributeEditorPointListener(MapControl mapControl) {
+        super();
+        this.mapControl = mapControl;
+    }
+
+    private FLyrVect getLayer() {
+        FLayer[] layers = mapControl.getMapContext().getLayers().getActives();
+        if (layers == null || layers.length != 1) {
+            return null;
+        }
+        return (FLyrVect) layers[0];
+
+    }
+
+    public void point(PointEvent e) throws BehaviorException {
+        MouseEvent mouseEvent = e.getEvent();
+        if (((mouseEvent.getModifiersEx() & (InputEvent.CTRL_DOWN_MASK | InputEvent.SHIFT_DOWN_MASK
+            | InputEvent.ALT_DOWN_MASK | InputEvent.ALT_GRAPH_DOWN_MASK | InputEvent.META_DOWN_MASK)) != 0)
+            || !SwingUtilities.isLeftMouseButton(mouseEvent)) {
+            return;
+        }
+
+        I18nManager i18nManager = ToolsLocator.getI18nManager();
+        String layerName = "";
+        try {
+            FLyrVect layer = getLayer();
+            if (layer == null) {
+                String msg = i18nManager.getTranslation("There_is_no_one_and_only_one_active_layer");
+                ToolsSwingLocator.getThreadSafeDialogsManager().messageDialog(msg,
+                    i18nManager.getTranslation("attribute_editor"), JOptionPane.INFORMATION_MESSAGE);
+                return;
+            }
+            FeatureStore featureStore;
+            featureStore = layer.getFeatureStore();
+            if (layer != this.currentLayer) {
+                if (this.currentLayer != null) {
+                    if (this.form != null) {
+                        this.form.saveChanges();
+                    }
+                }
+                this.currentLayer = layer;
+                if (this.form != null) {
+                    this.form.bind(featureStore);
+                }
+            }
+            layerName = layer.getName();
+            ViewPort vp = this.mapControl.getViewPort();
+            Point point = vp.convertToMapPoint(e.getPoint());
+            double tolerance = vp.toMapDistance(TOL);
+            FeatureQuery query = null;
+            query = queryByPoint(point, tolerance);
+            if (query != null) {
+                if (this.form == null) {
+                    this.form = getForm();
+                    this.form.showForm(MODE.TOOL);
+                }
+
+                if (query != null) {
+                    try {
+                        synchronized (featureStore) {
+                            FeatureSet featSet = featureStore.getFeatureSet(query);
+                            FeatureSelection selection = (FeatureSelection) featureStore.getSelection();
+                            selection.deselectAll();
+                            selection.select(featSet);
+                        }
+                    } catch (DataException ex) {
+                        throw new RuntimeException("Error getting a feature set with the query " + query);
+                    }
+                }
+                this.form.setQuery(query);
+            }
+        } catch (Exception ex) {
+            logger.warn("Can't show attribute information from point on the layer " + layerName, ex);
+            String msg =
+                i18nManager.getTranslation("Cant_show_attribute_information_for_layer_%1_on_point",
+                    new String[] { layerName });
+            ToolsSwingLocator.getThreadSafeDialogsManager().messageDialog(msg,
+                i18nManager.getTranslation("attribute_editor"), JOptionPane.WARNING_MESSAGE);
+        }
+    }
+
+    private JFeaturesForm getForm() throws CreateJFeatureFormException, ServiceException, DataException {
+        if (this.form == null) {
+            DataSwingManager swingManager = DALSwingLocator.getSwingManager();
+            FeatureStore store = this.currentLayer.getFeatureStore();
+            this.form = swingManager.createJFeaturesForm(store);
+            this.form.asJComponent().setPreferredSize(new Dimension(300, 200));
+            this.form.asJComponent().setName(ATTRIBUTE_EDITOR_FORM_NAME);
+            this.form.asJComponent().addComponentListener(this);
+        }
+        return this.form;
+    }
+
+    private FeatureQuery queryByPoint(Point point, double tol) throws CreateGeometryException, DataException {
+        GeometryManager manager = GeometryLocator.getGeometryManager();
+        Circle circle = (Circle) manager.create(TYPES.CIRCLE, SUBTYPES.GEOM2D);
+        circle.setPoints(point, tol);
+
+        FeatureStore featureStore = this.currentLayer.getFeatureStore();
+        FeatureQuery featureQuery = featureStore.createFeatureQuery();
+        FeatureType featureType = featureStore.getDefaultFeatureType();
+        String geomName = featureType.getDefaultGeometryAttributeName();
+        featureQuery.setFeatureType(featureType);
+
+        Geometry query_geo = this.currentLayer.transformToSourceCRS(circle, true);
+
+        IProjection query_proj = this.currentLayer.getMapContext().getProjection();
+        if (this.currentLayer.getCoordTrans() != null) {
+            query_proj = this.currentLayer.getCoordTrans().getPOrig();
+        }
+
+        IntersectsGeometryEvaluator iee =
+            new IntersectsGeometryEvaluator(query_geo, query_proj, featureStore.getDefaultFeatureType(), geomName);
+        featureQuery.setFilter(iee);
+        featureQuery.setAttributeNames(null);
+        return featureQuery;
+    }
+
+    public void componentResized(ComponentEvent e) {
+        // TODO Auto-generated method stub
+
+    }
+
+    public void componentMoved(ComponentEvent e) {
+        // TODO Auto-generated method stub
+
+    }
+
+    public void componentShown(ComponentEvent e) {
+        // TODO Auto-generated method stub
+
+    }
+
+    public void componentHidden(ComponentEvent e) {
+        this.form = null;
+    }
+
+}
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/pom.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/pom.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol/pom.xml	(revision 342)
@@ -0,0 +1,24 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.attributeeditor</artifactId>
+    <version>1.0.62</version>
+  </parent>
+  <groupId>org.gvsig</groupId>
+  <artifactId>org.gvsig.attributeeditor.mapcontrol</artifactId>
+  <version>1.0.62</version>
+  <name>org.gvsig.atributeeditor.mapcontrol</name>
+  <dependencies>
+  	<dependency>
+  		<groupId>org.gvsig</groupId>
+  		<artifactId>org.gvsig.fmap.control</artifactId>
+
+  	</dependency>
+
+    <dependency>
+      <groupId>org.gvsig</groupId>
+      <artifactId>org.gvsig.fmap.dal.swing.api</artifactId>
+    </dependency>
+  </dependencies>
+</project>
\ No newline at end of file

Property changes on: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.mapcontrol
___________________________________________________________________
Added: svn:ignore
   + target


Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/pom.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/pom.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/pom.xml	(revision 342)
@@ -0,0 +1,17 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+	<modelVersion>4.0.0</modelVersion>
+	<parent>
+		<groupId>org.gvsig</groupId>
+		<artifactId>org.gvsig.attributeeditor</artifactId>
+		<version>1.0.62</version>
+	</parent>
+	<groupId>org.gvsig</groupId>
+	<artifactId>org.gvsig.attributeeditor.app</artifactId>
+	<version>1.0.62</version>
+	<packaging>pom</packaging>
+	<name>org.gvsig.attributeeditor.app</name>
+	<modules>
+		<module>org.gvsig.attributeeditor.app.mainplugin</module>
+	</modules>
+
+</project>
\ No newline at end of file
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/pom.xml	(revision 342)
@@ -0,0 +1,40 @@
+<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+  <modelVersion>4.0.0</modelVersion>
+  <parent>
+    <groupId>org.gvsig</groupId>
+    <artifactId>org.gvsig.attributeeditor.app</artifactId>
+    <version>1.0.62</version>
+  </parent>
+  <artifactId>org.gvsig.attributeeditor.app.mainplugin</artifactId>
+  <name>org.gvsig.attributeeditor.app.mainplugin</name>
+
+	<properties>
+		<!-- Package info property values -->
+		<!-- Default values in org.gvsig.desktop -->
+		<gvsig.package.info.state>testing</gvsig.package.info.state>
+		<gvsig.package.info.official>true</gvsig.package.info.official>
+		<gvsig.package.info.name>Attribute editor</gvsig.package.info.name>
+		<gvsig.package.info.categories>Vector</gvsig.package.info.categories>
+		<gvsig.package.info.description>Attribute editor: provides a tool to edit the attributes of vector layers easily and quickly.</gvsig.package.info.description>
+		<gvsig.package.info.dependencies>required: org.gvsig.app -ge 2.1.0</gvsig.package.info.dependencies>
+		<gvsig.package.info.javaVM>j1_6</gvsig.package.info.javaVM>
+		<gvsig.package.info.poolURL>https://devel.gvsig.org/download/projects/gvsig-attributeeditor/pool/</gvsig.package.info.poolURL>
+	</properties>
+  <dependencies>
+    <dependency>
+        <groupId>org.gvsig</groupId>
+        <artifactId>org.gvsig.app.mainplugin</artifactId>
+        <scope>compile</scope>
+    </dependency>
+    <dependency>
+    	<groupId>org.gvsig</groupId>
+    	<artifactId>org.gvsig.attributeeditor.mapcontrol</artifactId>
+    </dependency>
+    <dependency>
+      <groupId>commons-collections</groupId>
+      <artifactId>commons-collections</artifactId>
+      <version>3.2.1</version>
+      <type>jar</type>
+    </dependency>
+  </dependencies>
+</project>
\ No newline at end of file
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/buildNumber.properties
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/buildNumber.properties	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/buildNumber.properties	(revision 342)
@@ -0,0 +1,2 @@
+#Thu Sep 28 18:14:48 CEST 2017
+buildNumber=63
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/java/org/gvsig/app/mainplugin/extension/AttributeEditorExtension.java
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/java/org/gvsig/app/mainplugin/extension/AttributeEditorExtension.java	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/java/org/gvsig/app/mainplugin/extension/AttributeEditorExtension.java	(revision 342)
@@ -0,0 +1,96 @@
+/* gvSIG. Desktop Geographic Information System.
+ *
+ * Copyright © 2007-2014 gvSIG Association
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+ * MA  02110-1301, USA.
+ *
+ * For any additional information, do not hesitate to contact us
+ * at info AT gvsig.com, or visit our website www.gvsig.com.
+ */
+package org.gvsig.app.mainplugin.extension;
+
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+import org.gvsig.andami.IconThemeHelper;
+import org.gvsig.andami.plugins.Extension;
+import org.gvsig.app.ApplicationLocator;
+import org.gvsig.app.project.documents.view.ViewDocument;
+import org.gvsig.app.project.documents.view.ViewManager;
+import org.gvsig.app.project.documents.view.gui.IView;
+import org.gvsig.fmap.mapcontrol.MapControl;
+import org.gvsig.fmap.mapcontrol.tools.Listeners.AttributeEditorBehavior;
+import org.gvsig.fmap.mapcontrol.tools.Listeners.AttributeEditorPointListener;
+
+/**
+ * @author fdiaz
+ *
+ */
+public class AttributeEditorExtension extends Extension {
+
+    private static final Logger logger = LoggerFactory.getLogger(AttributeEditorExtension.class);
+
+    @Override
+    public void execute(String actionCommand) {
+        if (actionCommand.compareToIgnoreCase("attribute-editor") != 0) {
+            return;
+        }
+        IView view = (IView) ApplicationLocator.getManager().getActiveComponent(ViewDocument.class);
+        if (view != null) {
+            MapControl mapControl = view.getMapControl();
+            if( mapControl.getMapContext().hasActiveVectorLayers() ) {
+                if (!mapControl.hasTool(AttributeEditorPointListener.ATTRIBUTE_EDITOR_TOOL_NAME)) {
+                    AttributeEditorBehavior attributeEditorBehavior = new AttributeEditorBehavior(mapControl);
+                    mapControl.addBehavior(AttributeEditorPointListener.ATTRIBUTE_EDITOR_TOOL_NAME, attributeEditorBehavior);
+                }
+                mapControl.setTool(AttributeEditorPointListener.ATTRIBUTE_EDITOR_TOOL_NAME);
+            }
+        }
+
+    }
+
+    @Override
+    public void initialize() {
+        IconThemeHelper.registerIcon("action", "attribute-editor", this);
+    }
+
+    @Override
+    public boolean isEnabled() {
+        /*
+         * It's enabled if there is exactly one vector layer in the active view
+         * and it has a selection
+         */
+        ViewDocument viewDoc = actWin();
+        if (viewDoc == null) {
+            return false;
+        }
+        return viewDoc.getMapContext().hasActiveVectorLayers();
+    }
+
+    @Override
+    public boolean isVisible() {
+        return actWin() != null;
+    }
+
+    /**
+     * Gets active window
+     *
+     * @return
+     */
+    private ViewDocument actWin() {
+        return (ViewDocument) ApplicationLocator.getManager().getActiveDocument(ViewManager.TYPENAME);
+    }
+}
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text.properties
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text.properties	(revision 342)
@@ -0,0 +1,10 @@
+# Resource bundle texts for the Spanish language locale (es)
+attribute_editor=Editor de atributos
+error_saving_data_will_not_save=Se ha producido un error intentando guardar los datos. Los datos no se guardar\u00e1n.
+cant_edit_the store_XstorenameX=No se ha podido poner en edici\u00f3n el store '%(storename)'
+cant_get_the_associated_feature_to_index_XindexX=No se ha podido obtener la feature asociada al index '%(index)'
+cant_update_the_feature_XindexX_in_the_store_XstorenameX=No se ha podido actualizar la feature '%(index)' en el store '%(storename)'
+cant_finish_the_edition_of_the_store_XstorenameX=No se ha podido finalizar la edici\u00f3n del store '%(storename)'
+There_is_no_one_and_only_one_active_layer=No hay una y solo una capa activa.
+Cant_show_attribute_information_for_layer_%1_on_point=No se ha podido mostrar la informaci\u00f3n de los atributos de la capa {0} sobre este punto.
+create_default_definition=Crear definici\u00f3n por defecto
\ No newline at end of file
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/i18n/text_en.properties	(revision 342)
@@ -0,0 +1,10 @@
+# Resource bundle texts for the English language locale (en)
+attribute_editor=Attribute editor
+error_saving_data_will_not_save=There was an error trying to save the data. The data will not be saved.
+cant_edit_the store_XstorenameX=Can't edit the store '%(storename)'
+cant_get_the_associated_feature_to_index_XindexX=Can't get the associated feature to index '%(index)'
+cant_update_the_feature_XindexX_in_the_store_XstorenameX=Can't update the feature '%(index)' in the store '%(storename)'
+cant_finish_the_edition_of_the_store_XstorenameX=Can't finish the edition of the store '%(storename)'
+There_is_no_one_and_only_one_active_layer=There is no one and only one active layer
+Cant_show_attribute_information_for_layer_%1_on_point=Can't show the attribute information for layer {0} on this point.
+create_default_definition=Create default definition
\ No newline at end of file
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/config.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/config.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/config.xml	(revision 342)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!-- gvSIG. Desktop Geographic Information System. Copyright (C) 2007-2014 gvSIG
+  Association. This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by the Free Software
+  Foundation; either version 3 of the License, or (at your option) any later version.
+  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
+  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+  PURPOSE. See the GNU General Public License for more details. You should have received
+  a copy of the GNU General Public License along with this program; if not, write to
+  the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
+  USA. For any additional information, do not hesitate to contact us at info AT gvsig.com,
+  or visit our website www.gvsig.com. -->
+<plugin-config>
+  <depends plugin-name="org.gvsig.app.mainplugin" />
+  <resourceBundle name="text" />
+  <libraries library-dir="lib" />
+  <extensions>
+    <extension class-name="org.gvsig.app.mainplugin.extension.AttributeEditorExtension"
+      description="" active="true" priority="1">
+
+      <action name="attribute-editor" label="attribute_editor" tooltip="attribute_editor"
+        position="300300000" action-command="attribute-editor" icon="attribute-editor"
+        accelerator="" />
+
+      <menu name="attribute-editor" text="Layer/attribute_editor"
+        action-command="attribute-editor" />
+
+      <tool-bar name="attribute-editor" position="7000" >
+        <selectable-tool name="attribute-editor" />
+      </tool-bar>
+
+    </extension>
+
+  </extensions>
+</plugin-config>
Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/images/action/attribute-editor.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/resources-plugin/images/action/attribute-editor.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 0)
+++ org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 342)
@@ -0,0 +1,62 @@
+<!--
+
+    gvSIG. Desktop Geographic Information System.
+
+    Copyright (C) 2007-2014 gvSIG Association.
+
+    This program is free software; you can redistribute it and/or
+    modify it under the terms of the GNU General Public License
+    as published by the Free Software Foundation; either version 3
+    of the License, or (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
+    MA  02110-1301, USA.
+
+    For any additional information, do not hesitate to contact us
+    at info AT gvsig.com, or visit our website www.gvsig.com.
+
+-->
+<assembly>
+  <id>gvsig-plugin-package</id>
+  <formats>
+    <format>zip</format>
+  </formats>
+  <baseDirectory>${project.artifactId}</baseDirectory>
+  <includeBaseDirectory>true</includeBaseDirectory>
+  <files>
+    <file>
+      <source>target/${project.artifactId}-${project.version}.jar</source>
+      <outputDirectory>lib</outputDirectory>
+    </file>
+    <file>
+      <source>target/package.info</source>
+    </file>
+  </files>
+
+  <fileSets>
+    <fileSet>
+      <directory>src/main/resources-plugin</directory>
+      <outputDirectory>.</outputDirectory>
+    </fileSet>
+  </fileSets>
+
+  <dependencySets>
+    <dependencySet>
+      <useProjectArtifact>false</useProjectArtifact>
+      <useTransitiveDependencies>false</useTransitiveDependencies>
+      <outputDirectory>lib</outputDirectory>
+      <includes>
+        <include>org.gvsig:org.gvsig.attributeeditor.mapcontrol</include>
+      </includes>
+    </dependencySet>
+  </dependencySets>
+
+</assembly>
+

Property changes on: org.gvsig.attributeeditor/tags/org.gvsig.attributeeditor-1.0.62/org.gvsig.attributeeditor.app/org.gvsig.attributeeditor.app.mainplugin
___________________________________________________________________
Added: svn:ignore
   + target


